Skip to main content
POST
/
projects
/
{project_reference}
/
cron-jobs
Create Cron Job
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/cron-jobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "target": "<string>",
  "schedule": "<string>",
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timezone": "<string>",
  "config": {},
  "timeout_seconds": 2,
  "backoff_limit": 1,
  "concurrency_policy": "Allow"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "active",
  "target": "<string>",
  "schedule": "<string>",
  "timezone": "<string>",
  "config": {},
  "timeout_seconds": 123,
  "backoff_limit": 123,
  "concurrency_policy": "<string>",
  "last_scheduled_at": "<string>",
  "last_successful_at": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://veryfront.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Body

application/json
name
string
required

Human-readable cron job name.

target
string
required

Task, workflow, or runtime target to execute.

schedule
string
required

5-field cron expression that controls the execution schedule.

Pattern: ^(\S+\s+){4}\S+$
environment_id
string<uuid>

Optional environment to run the cron job against.

branch_id
string<uuid>

Optional preview branch to run the cron job against.

timezone
string

IANA timezone name. Defaults to UTC.

config
object

Job configuration object passed through to execution.

timeout_seconds
integer

Optional timeout in seconds.

Required range: x >= 1
backoff_limit
integer

Optional retry count.

Required range: x >= 0
concurrency_policy
enum<string>

How overlapping schedules should be handled.

Available options:
Allow,
Forbid,
Replace

Response

Cron job created.

id
string<uuid>
required
project_id
string<uuid>
required
environment_id
string<uuid> | null
required
branch_id
string<uuid> | null
required
name
string
required
status
enum<string>
required
Available options:
active,
paused,
deleting
target
string
required
schedule
string
required
timezone
string
required
config
object
required
timeout_seconds
number
required
backoff_limit
number
required
concurrency_policy
string
required
last_scheduled_at
string | null
required
last_successful_at
string | null
required
created_by
string<uuid> | null
required
created_at
string
required
updated_at
string
required